
_onTimer1Interupt:
	PUSH	52
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;led-blink.c,2 :: 		void onTimer1Interupt() org 0x00001A  {
;led-blink.c,3 :: 		IFS0bits.T1IF = 0;                // clear interrupt flag
	BCLR	IFS0bits, #3
;led-blink.c,4 :: 		PORTDbits.RD3 = ~PORTDbits.RD3 ;
	BTG	PORTDbits, #3
;led-blink.c,6 :: 		}
L_end_onTimer1Interupt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	52
	RETFIE
; end of _onTimer1Interupt

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;led-blink.c,8 :: 		void main() {
;led-blink.c,10 :: 		ADPCFG = 0xFF;                        //Make analog pins digital
	MOV	#255, W0
	MOV	WREG, ADPCFG
;led-blink.c,13 :: 		TRISD=0xFF00;  // PORT D FROM 0-7 OUTPUT 8-15 INPUT --> INT1-4
	MOV	#65280, W0
	MOV	WREG, TRISD
;led-blink.c,14 :: 		TRISB=0x0;    //all \bport output
	CLR	TRISB
;led-blink.c,15 :: 		TRISC=0XFFFF;
	MOV	#65535, W0
	MOV	WREG, TRISC
;led-blink.c,26 :: 		TMR1 = 0;                                // clear timer 1
	CLR	TMR1
;led-blink.c,27 :: 		PR1 =31250;                        // interrupt every 250ms
	MOV	#31250, W0
	MOV	WREG, PR1
;led-blink.c,28 :: 		IFS0bits.T1IF = 0;                // clr interrupt flag
	BCLR	IFS0bits, #3
;led-blink.c,29 :: 		IEC0bits.T1IE = 1;                // set interrupt enable bit
	BSET	IEC0bits, #3
;led-blink.c,30 :: 		T1CONbits.TCKPS=3;                // prescaler 1:256
	MOV	#lo_addr(T1CONbits), W0
	MOV.B	[W0], W1
	MOV.B	#48, W0
	IOR.B	W1, W0, W1
	MOV	#lo_addr(T1CONbits), W0
	MOV.B	W1, [W0]
;led-blink.c,31 :: 		T1CONbits.TON=1;                  //  start TMR1
	BSET	T1CONbits, #15
;led-blink.c,34 :: 		while (1){
L_main0:
;led-blink.c,38 :: 		}
	GOTO	L_main0
;led-blink.c,39 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
