
_SPI_Ethernet_UserTCP:
	LNK	#30

;anemometro.c,89 :: 		unsigned int localPort, unsigned int reqLength, TEthPktFlags *flags) {
;anemometro.c,90 :: 		unsigned int    len = 0 ;                   // my reply length
; flags start address is: 0 (W0)
	MOV	[W14-8], W0
; flags end address is: 0 (W0)
	MOV	#0, W0
	MOV	W0, [W14+24]
;anemometro.c,98 :: 		if(localPort != 90) {                        // I listen only to web request on port 90
	MOV	#90, W0
	CP	W12, W0
	BRA NZ	L__SPI_Ethernet_UserTCP195
	GOTO	L_SPI_Ethernet_UserTCP0
L__SPI_Ethernet_UserTCP195:
;anemometro.c,99 :: 		return(0) ;
	CLR	W0
	GOTO	L_end_SPI_Ethernet_UserTCP
;anemometro.c,100 :: 		}
L_SPI_Ethernet_UserTCP0:
;anemometro.c,103 :: 		for(i = 0 ; i < 10 ; i++) {
	CLR	W0
	MOV	W0, [W14+20]
L_SPI_Ethernet_UserTCP1:
	MOV	[W14+20], W0
	CP	W0, #10
	BRA LTU	L__SPI_Ethernet_UserTCP196
	GOTO	L_SPI_Ethernet_UserTCP2
L__SPI_Ethernet_UserTCP196:
;anemometro.c,104 :: 		getRequest[i] = SPI_Ethernet_getByte() ;
	MOV	#lo_addr(_getRequest), W1
	ADD	W14, #20, W0
	ADD	W1, [W0], W0
	MOV	W0, [W14+28]
	PUSH.D	W12
	PUSH.D	W10
	CALL	_SPI_Ethernet_getByte
	POP.D	W10
	POP.D	W12
	MOV	[W14+28], W1
	MOV.B	W0, [W1]
;anemometro.c,103 :: 		for(i = 0 ; i < 10 ; i++) {
	MOV	[W14+20], W1
	ADD	W14, #20, W0
	ADD	W1, #1, [W0]
;anemometro.c,105 :: 		}
	GOTO	L_SPI_Ethernet_UserTCP1
L_SPI_Ethernet_UserTCP2:
;anemometro.c,106 :: 		getRequest[i] = 0 ;
	MOV	#lo_addr(_getRequest), W1
	ADD	W14, #20, W0
	ADD	W1, [W0], W1
	CLR	W0
	MOV.B	W0, [W1]
;anemometro.c,108 :: 		if(memcmp(getRequest, httpMethod, 5)) {      // only GET method is supported here
	PUSH	W12
	PUSH.D	W10
	MOV	#5, W12
	MOV	#lo_addr(_httpMethod), W11
	MOV	#lo_addr(_getRequest), W10
	CALL	_memcmp
	POP.D	W10
	POP	W12
	CP0	W0
	BRA NZ	L__SPI_Ethernet_UserTCP197
	GOTO	L_SPI_Ethernet_UserTCP4
L__SPI_Ethernet_UserTCP197:
;anemometro.c,109 :: 		return(0) ;
	CLR	W0
	GOTO	L_end_SPI_Ethernet_UserTCP
;anemometro.c,110 :: 		}
L_SPI_Ethernet_UserTCP4:
;anemometro.c,112 :: 		httpCounter++ ;                              // one more request done
	MOV	#1, W1
	MOV	#0, W2
	MOV	#lo_addr(_httpCounter), W0
	ADD	W1, [W0], [W0++]
	ADDC	W2, [W0], [W0--]
;anemometro.c,114 :: 		if(getRequest[5] == 's') {                   // if request path name starts with s, store dynamic data in transmit buffer
	MOV	#lo_addr(_getRequest+5), W0
	MOV.B	[W0], W1
	MOV.B	#115, W0
	CP.B	W1, W0
	BRA Z	L__SPI_Ethernet_UserTCP198
	GOTO	L_SPI_Ethernet_UserTCP5
L__SPI_Ethernet_UserTCP198:
;anemometro.c,118 :: 		len = putConstString(httpHeader) ;         // HTTP header
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_httpHeader), W10
	CALL	_SPI_Ethernet_putConstString
	MOV	W0, [W14+24]
;anemometro.c,119 :: 		len += putConstString(httpMimeTypeScript); // with text MIME type
	MOV	#lo_addr(_httpMimeTypeScript), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,123 :: 		IntToStr(ALeds[0], dyna) ;    len += putConstString("RB0") ;    len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_ALeds, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_1_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,124 :: 		InttoStr(ADC1_Read(0),dyna); len += putString("  Real value = " ) ; len += putString(dyna) ;
	PUSH	W10
	CLR	W10
	CALL	_ADC1_Read
	POP	W10
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	W0, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr2_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,125 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_3_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,128 :: 		IntToStr(ALeds[1], dyna) ;    len += putConstString("RB1") ;    len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_ALeds+2, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_4_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,129 :: 		InttoStr(ADC1_Read(01),dyna); len += putString("  Real value = " ) ; len += putString(dyna) ;
	PUSH	W10
	MOV	#1, W10
	CALL	_ADC1_Read
	POP	W10
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	W0, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr5_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,130 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_6_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,133 :: 		IntToStr(ALeds[2], dyna) ;    len += putConstString("RB2") ;    len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_ALeds+4, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_7_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,134 :: 		InttoStr(ADC1_Read(02),dyna); len += putString("  Real value = " ) ; len += putString(dyna) ;
	PUSH	W10
	MOV	#2, W10
	CALL	_ADC1_Read
	POP	W10
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	W0, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr8_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,135 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_9_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,138 :: 		IntToStr(ALeds[3], dyna) ;    len += putConstString("RB3") ;    len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_ALeds+6, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_10_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,139 :: 		InttoStr(ADC1_Read(3),dyna); len += putString("  Real value = " ) ; len += putString(dyna) ;
	PUSH	W10
	MOV	#3, W10
	CALL	_ADC1_Read
	POP	W10
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	W0, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr11_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,140 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_12_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,143 :: 		IntToStr(AirSpeed, dyna) ;    len += putConstString("Air Speed Tick") ;    len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_AirSpeed, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_13_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,144 :: 		InttoStr(AirSpeedTick,dyna); len += putString("value = " ) ; len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_AirSpeedTick, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr14_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,145 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_15_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,148 :: 		len += putConstString("Air Speed Cof value = ") ;  InttoStr(AirSpeedCoficient,dyna);  len += putString(dyna) ;
	MOV	#lo_addr(?lstr_16_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_AirSpeedCoficient, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,149 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_17_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,152 :: 		len += putConstString("AirSpeed value = ") ; IntToStr(AirSpeed, dyna) ;   len += putString(dyna) ;
	MOV	#lo_addr(?lstr_18_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_AirSpeed, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,153 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_19_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,156 :: 		ByteToStr(integTemp, dyna) ;    len += putConstString("Temp ") ;    len += putString(dyna) ;
	MOV	#lo_addr(_integTemp), W0
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV.B	[W0], W10
	CALL	_ByteToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_20_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,157 :: 		ByteToStr(decimTemp, dyna) ;    len += putConstString(",") ;    len += putString(dyna) ;
	MOV	#lo_addr(_decimTemp), W0
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV.B	[W0], W10
	CALL	_ByteToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_21_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,158 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_22_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,162 :: 		ByteToStr(integHum, dyna) ;    len += putConstString("Humidity ") ;    len += putString(dyna) ;
	MOV	#lo_addr(_integHum), W0
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV.B	[W0], W10
	CALL	_ByteToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_23_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,163 :: 		ByteToStr(decimHum, dyna) ;    len += putConstString(",") ;    len += putString(dyna) ;
	MOV	#lo_addr(_decimHum), W0
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV.B	[W0], W10
	CALL	_ByteToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_24_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,164 :: 		len += putConstString(";\n") ;
	MOV	#lo_addr(?lstr_25_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,168 :: 		IntToStr(httpCounter, dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_httpCounter, W10
	CALL	_IntToStr
	POP.D	W10
;anemometro.c,169 :: 		len += putConstString("  REQ=") ;
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_26_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,170 :: 		len += putString(dyna) ;
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,172 :: 		len += putConstString("\n to change Air Speed cof:  URL/t18\n") ;
	MOV	#lo_addr(?lstr_27_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,173 :: 		len += putConstString(";") ;
	MOV	#lo_addr(?lstr_28_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,174 :: 		}
	GOTO	L_SPI_Ethernet_UserTCP6
L_SPI_Ethernet_UserTCP5:
;anemometro.c,176 :: 		else if(getRequest[5] == 't') {             // if request path name starts with t, store value to AirSpeedCoficient
	MOV	#lo_addr(_getRequest+5), W0
	MOV.B	[W0], W1
	MOV.B	#116, W0
	CP.B	W1, W0
	BRA Z	L__SPI_Ethernet_UserTCP199
	GOTO	L_SPI_Ethernet_UserTCP7
L__SPI_Ethernet_UserTCP199:
;anemometro.c,178 :: 		int NumAirCof=0;
;anemometro.c,179 :: 		len = putConstString(httpHeader) ;         // HTTP header
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_httpHeader), W10
	CALL	_SPI_Ethernet_putConstString
	MOV	W0, [W14+24]
;anemometro.c,180 :: 		len += putConstString(httpMimeTypeScript); // with text MIME type
	MOV	#lo_addr(_httpMimeTypeScript), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,182 :: 		if(isdigit(getRequest[6])) {              // if 0 <= bit number <= 9,
	MOV	#lo_addr(_getRequest+6), W0
	PUSH	W10
	MOV.B	[W0], W10
	CALL	_isdigit
	POP	W10
	CP0	W0
	BRA NZ	L__SPI_Ethernet_UserTCP200
	GOTO	L_SPI_Ethernet_UserTCP8
L__SPI_Ethernet_UserTCP200:
;anemometro.c,183 :: 		Aircof[0]=getRequest[6] ;              // convert ASCII to integer
	ADD	W14, #0, W2
	MOV	#lo_addr(_getRequest+6), W0
	MOV.B	[W0], [W2]
;anemometro.c,184 :: 		AirCof[1]=getRequest[7];
	ADD	W2, #1, W1
	MOV	#lo_addr(_getRequest+7), W0
	MOV.B	[W0], [W1]
;anemometro.c,185 :: 		NumAirCof=atoi(AirCof);
	PUSH	W10
	MOV	W2, W10
	CALL	_atoi
	POP	W10
	MOV	W0, [W14+22]
;anemometro.c,186 :: 		AirSpeedCoficient=NumAircof;           // uodate with new value
	MOV	W0, _AirSpeedCoficient
;anemometro.c,187 :: 		EEPROM_Write(eeAddr,NumAirCof);
	PUSH	W12
	PUSH.D	W10
	MOV	W0, W12
	MOV	_eeAddr, W10
	MOV	_eeAddr+2, W11
	CALL	_EEPROM_Write
	POP.D	W10
	POP	W12
;anemometro.c,188 :: 		len += putConstString("AirSpeedCoficient written in eeprom is = ") ;
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_29_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,189 :: 		for (i=9;i<10;i++){
	MOV	#9, W0
	MOV	W0, [W14+20]
L_SPI_Ethernet_UserTCP9:
	MOV	[W14+20], W0
	CP	W0, #10
	BRA LTU	L__SPI_Ethernet_UserTCP201
	GOTO	L_SPI_Ethernet_UserTCP10
L__SPI_Ethernet_UserTCP201:
;anemometro.c,190 :: 		intToStr(NumAirCof, dyna) ;  len += putString(dyna) ;
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	[W14+22], W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,189 :: 		for (i=9;i<10;i++){
	MOV	[W14+20], W1
	ADD	W14, #20, W0
	ADD	W1, #1, [W0]
;anemometro.c,192 :: 		}
	GOTO	L_SPI_Ethernet_UserTCP9
L_SPI_Ethernet_UserTCP10:
;anemometro.c,195 :: 		}else{
	GOTO	L_SPI_Ethernet_UserTCP12
L_SPI_Ethernet_UserTCP8:
;anemometro.c,196 :: 		len += putConstString("AirSpeedCoficient not set") ;
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_30_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,197 :: 		}
L_SPI_Ethernet_UserTCP12:
;anemometro.c,198 :: 		len += putConstString("----\n") ;
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_31_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,199 :: 		}
L_SPI_Ethernet_UserTCP7:
L_SPI_Ethernet_UserTCP6:
;anemometro.c,202 :: 		if(len == 0) {                              // what do to by default
	MOV	[W14+24], W0
	CP	W0, #0
	BRA Z	L__SPI_Ethernet_UserTCP202
	GOTO	L_SPI_Ethernet_UserTCP13
L__SPI_Ethernet_UserTCP202:
;anemometro.c,204 :: 		len=putConstString("HTTP/1.1 200 OK\n Content-type:text/html; charset=UTF-8 \n\n <html><body>");
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_32_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	MOV	W0, [W14+24]
;anemometro.c,207 :: 		len += putConstString("<p mode=\"wrap\" align=\"center\"> <a href=/>Reload</a></p>");
	MOV	#lo_addr(?lstr_33_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,208 :: 		len += putConstString("<table border=\"1\" bordercolor=\"black\" cellspacing=\"2\" cellpadding=\"2\" height=\"100\" align=\"center\">");
	MOV	#lo_addr(?lstr_34_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,209 :: 		len += putConstString("<tr bordercolor=\"#0000CC\" bgcolor=\"#948ACC\" style=\"font: normal 12pt Arial; text-align: center\">");
	MOV	#lo_addr(?lstr_35_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,210 :: 		len += putConstString("<td></td>");     //temp
	MOV	#lo_addr(?lstr_36_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,211 :: 		len += putConstString("<td></td>");          //wind
	MOV	#lo_addr(?lstr_37_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,212 :: 		len += putConstString("<td></td>");       //direction
	MOV	#lo_addr(?lstr_38_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,213 :: 		len += putConstString("<td></td>");         //humidity
	MOV	#lo_addr(?lstr_39_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,214 :: 		len += putConstString("</tr>");
	MOV	#lo_addr(?lstr_40_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,215 :: 		len += putConstString("<tr bordercolor=\"#0000CC\" style=\"font: normal  bold 14pt Arial; text-align: center\">");
	MOV	#lo_addr(?lstr_41_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,216 :: 		len += putConstString("<td>");ByteToStr(integTemp,txt);len += putString(txt);//len += putString(",");ByteToStr(decimTemp,txt);len += putString(txt);
	MOV	#lo_addr(?lstr_42_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_integTemp), W0
	PUSH.D	W10
	MOV	#lo_addr(_txt), W11
	MOV.B	[W0], W10
	CALL	_ByteToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_txt), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,217 :: 		len += putString(" C</td>");    // temperature
	MOV	#lo_addr(?lstr43_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,218 :: 		len += putConstString("<td>o ");IntToStr(MaxAirSpeed, dyna) ;len += putString(dyna) ; len += putString("</td>");      //air speed
	MOV	#lo_addr(?lstr_44_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_MaxAirSpeed, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(?lstr45_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,220 :: 		len += putConstString("<td>");len += putString(Dlogo);len += putString("</td>");
	MOV	#lo_addr(?lstr_46_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(_Dlogo), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(?lstr47_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,222 :: 		len += putConstString("<td>");//ByteToStr(integHum,txt);len += putString(txt);
	MOV	#lo_addr(?lstr_48_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,223 :: 		len += putString("----");//ByteToStr(decimHum,txt);len += putString(txt);
	MOV	#lo_addr(?lstr49_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,224 :: 		len += putString(" %</td> </tr>");         // humidity
	MOV	#lo_addr(?lstr50_anemometro), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,225 :: 		len += putConstString("<tr bordercolor=\"#0000CC\" style=\"font: normal  bold 14pt Arial; text-align: center\"><td>  </td> <td> ");
	MOV	#lo_addr(?lstr_51_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,226 :: 		IntToStr(AverageAirSpeed, dyna) ;len += putString(dyna) ;len += putConstString(" Km/H</td><td>  </td><td>  </td></tr>");
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_AverageAirSpeed, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(?lstr_52_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,227 :: 		len += putConstString("<tr bordercolor=\"#0000CC\" style=\"font: normal  bold 14pt Arial; text-align: center\"><td>  </td> <td>o "); IntToStr(MinAirSpeed, dyna) ;len += putString(dyna) ;
	MOV	#lo_addr(?lstr_53_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	_MinAirSpeed, W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,228 :: 		len += putConstString(" </td> <td>  </td> <td>  </td> </tr>");
	MOV	#lo_addr(?lstr_54_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,230 :: 		len += putConstString("</table>");
	MOV	#lo_addr(?lstr_55_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,231 :: 		len += putConstString("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\" height=\"30\" align=\"center\">");
	MOV	#lo_addr(?lstr_56_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,232 :: 		len += putConstString("<tr  bgcolor=\"#948ACC\" style=\"font: normal 12pt courier; text-align: center\">");
	MOV	#lo_addr(?lstr_57_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,233 :: 		for (i=0;i<15;i++){
	CLR	W0
	MOV	W0, [W14+20]
L_SPI_Ethernet_UserTCP14:
	MOV	[W14+20], W0
	CP	W0, #15
	BRA LTU	L__SPI_Ethernet_UserTCP203
	GOTO	L_SPI_Ethernet_UserTCP15
L__SPI_Ethernet_UserTCP203:
;anemometro.c,234 :: 		len += putConstString("<td>");  IntToStr(LastQuarterSpeed[i],dyna);  len += putString(dyna) ; len += putString("</td>");
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_58_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	[W14+20], W0
	SL	W0, #1, W1
	MOV	#lo_addr(_LastQuarterSpeed), W0
	ADD	W0, W1, W0
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W11
	MOV	[W0], W10
	CALL	_IntToStr
	POP.D	W10
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(_dyna), W10
	CALL	_SPI_Ethernet_putString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
	MOV	#lo_addr(?lstr59_anemometro), W10
	CALL	_SPI_Ethernet_putString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,233 :: 		for (i=0;i<15;i++){
	MOV	[W14+20], W1
	ADD	W14, #20, W0
	ADD	W1, #1, [W0]
;anemometro.c,235 :: 		}
	GOTO	L_SPI_Ethernet_UserTCP14
L_SPI_Ethernet_UserTCP15:
;anemometro.c,236 :: 		len += putConstString("</tr><tr><td>@Kalarakis.gr</td></tr></table>");
	PUSH.D	W12
	PUSH.D	W10
	MOV	#lo_addr(?lstr_60_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,237 :: 		len += putConstString("</body></html>");
	MOV	#lo_addr(?lstr_61_anemometro), W10
	CALL	_SPI_Ethernet_putConstString
	POP.D	W10
	POP.D	W12
	ADD	W14, #24, W2
	ADD	W14, #24, W1
	ADD	W0, [W2], [W1]
;anemometro.c,238 :: 		}
L_SPI_Ethernet_UserTCP13:
;anemometro.c,240 :: 		return(len) ;                               // return to the library with the number of bytes to transmit
	MOV	[W14+24], W0
;anemometro.c,241 :: 		}
L_end_SPI_Ethernet_UserTCP:
	ULNK
	RETURN
; end of _SPI_Ethernet_UserTCP

_SPI_Ethernet_UserUDP:
	LNK	#0

;anemometro.c,254 :: 		unsigned int destPort, unsigned int reqLength, TEthPktFlags *flags) {
;anemometro.c,255 :: 		return 0;              // back to the library with the length of the UDP reply
; flags start address is: 0 (W0)
	MOV	[W14-8], W0
; flags end address is: 0 (W0)
	CLR	W0
;anemometro.c,256 :: 		}
L_end_SPI_Ethernet_UserUDP:
	ULNK
	RETURN
; end of _SPI_Ethernet_UserUDP

_ReadValues:

;anemometro.c,263 :: 		void ReadValues(){
;anemometro.c,265 :: 		ALeds[0]=ADC1_Read(0);
	PUSH	W10
	CLR	W10
	CALL	_ADC1_Read
	MOV	W0, _ALeds
;anemometro.c,266 :: 		ALeds[1]=ADC1_Read(1);
	MOV	#1, W10
	CALL	_ADC1_Read
	MOV	W0, _ALeds+2
;anemometro.c,267 :: 		ALeds[2]=ADC1_Read(2);
	MOV	#2, W10
	CALL	_ADC1_Read
	MOV	W0, _ALeds+4
;anemometro.c,268 :: 		ALeds[3]=ADC1_Read(3);
	MOV	#3, W10
	CALL	_ADC1_Read
	MOV	W0, _ALeds+6
;anemometro.c,270 :: 		}
L_end_ReadValues:
	POP	W10
	RETURN
; end of _ReadValues

_NormalizeValues:

;anemometro.c,272 :: 		void  NormalizeValues(){
;anemometro.c,276 :: 		for (i=0;i<5;i++){
; i start address is: 4 (W2)
	CLR	W2
; i end address is: 4 (W2)
L_NormalizeValues17:
; i start address is: 4 (W2)
	CP	W2, #5
	BRA LT	L__NormalizeValues207
	GOTO	L_NormalizeValues18
L__NormalizeValues207:
;anemometro.c,277 :: 		Temp=Aleds[i];
	SL	W2, #1, W1
	MOV	#lo_addr(_ALeds), W0
	ADD	W0, W1, W0
	MOV	[W0], W1
; Temp start address is: 6 (W3)
	MOV	W1, W3
;anemometro.c,279 :: 		if(Temp>2000) {
	MOV	#2000, W0
	CP	W1, W0
	BRA GT	L__NormalizeValues208
	GOTO	L_NormalizeValues20
L__NormalizeValues208:
; Temp end address is: 6 (W3)
;anemometro.c,280 :: 		ALeds[i]=2000;
	SL	W2, #1, W1
	MOV	#lo_addr(_ALeds), W0
	ADD	W0, W1, W1
	MOV	#2000, W0
	MOV	W0, [W1]
;anemometro.c,281 :: 		continue;
	GOTO	L_NormalizeValues19
;anemometro.c,282 :: 		}
L_NormalizeValues20:
;anemometro.c,283 :: 		if (Temp>=1000 && Temp<=1990) {
; Temp start address is: 6 (W3)
	MOV	#1000, W0
	CP	W3, W0
	BRA GE	L__NormalizeValues209
	GOTO	L__NormalizeValues101
L__NormalizeValues209:
	MOV	#1990, W0
	CP	W3, W0
	BRA LE	L__NormalizeValues210
	GOTO	L__NormalizeValues100
L__NormalizeValues210:
; Temp end address is: 6 (W3)
L__NormalizeValues99:
;anemometro.c,284 :: 		ALeds[i]=1000;
	SL	W2, #1, W1
	MOV	#lo_addr(_ALeds), W0
	ADD	W0, W1, W1
	MOV	#1000, W0
	MOV	W0, [W1]
;anemometro.c,285 :: 		continue;
	GOTO	L_NormalizeValues19
;anemometro.c,283 :: 		if (Temp>=1000 && Temp<=1990) {
L__NormalizeValues101:
; Temp start address is: 6 (W3)
L__NormalizeValues100:
;anemometro.c,287 :: 		if (Temp>=300 && Temp<=999) {
	MOV	#300, W0
	CP	W3, W0
	BRA GE	L__NormalizeValues211
	GOTO	L__NormalizeValues103
L__NormalizeValues211:
	MOV	#999, W0
	CP	W3, W0
	BRA LE	L__NormalizeValues212
	GOTO	L__NormalizeValues102
L__NormalizeValues212:
; Temp end address is: 6 (W3)
L__NormalizeValues98:
;anemometro.c,288 :: 		ALeds[i]=500;
	SL	W2, #1, W1
	MOV	#lo_addr(_ALeds), W0
	ADD	W0, W1, W1
	MOV	#500, W0
	MOV	W0, [W1]
;anemometro.c,289 :: 		continue;
	GOTO	L_NormalizeValues19
;anemometro.c,287 :: 		if (Temp>=300 && Temp<=999) {
L__NormalizeValues103:
; Temp start address is: 6 (W3)
L__NormalizeValues102:
;anemometro.c,291 :: 		if(Temp<=299) {
	MOV	#299, W0
	CP	W3, W0
	BRA LE	L__NormalizeValues213
	GOTO	L_NormalizeValues27
L__NormalizeValues213:
; Temp end address is: 6 (W3)
;anemometro.c,292 :: 		ALeds[i]=200;
	SL	W2, #1, W1
	MOV	#lo_addr(_ALeds), W0
	ADD	W0, W1, W1
	MOV	#200, W0
	MOV	W0, [W1]
;anemometro.c,293 :: 		continue;
	GOTO	L_NormalizeValues19
;anemometro.c,294 :: 		}
L_NormalizeValues27:
;anemometro.c,295 :: 		}
L_NormalizeValues19:
;anemometro.c,276 :: 		for (i=0;i<5;i++){
	INC	W2
;anemometro.c,295 :: 		}
; i end address is: 4 (W2)
	GOTO	L_NormalizeValues17
L_NormalizeValues18:
;anemometro.c,297 :: 		}
L_end_NormalizeValues:
	RETURN
; end of _NormalizeValues

_SetAirDirection:

;anemometro.c,299 :: 		void SetAirDirection(){
;anemometro.c,300 :: 		if ((ALeds[0]==500) && (ALeds[1]==200) && (ALeds[2]) ==500 && (ALeds[3]==2000)){strcpy(Dlogo," B  ");}
	PUSH	W10
	PUSH	W11
	MOV	_ALeds, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection215
	GOTO	L__SetAirDirection125
L__SetAirDirection215:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection216
	GOTO	L__SetAirDirection124
L__SetAirDirection216:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection217
	GOTO	L__SetAirDirection123
L__SetAirDirection217:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection218
	GOTO	L__SetAirDirection122
L__SetAirDirection218:
L__SetAirDirection121:
	MOV	#lo_addr(?lstr62_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection125:
L__SetAirDirection124:
L__SetAirDirection123:
L__SetAirDirection122:
;anemometro.c,301 :: 		if ((ALeds[0]==500) && (ALeds[1]==200) && (ALeds[2]) ==1000 && (ALeds[3]==2000)){strcpy(Dlogo,"B-A");}
	MOV	_ALeds, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection219
	GOTO	L__SetAirDirection129
L__SetAirDirection219:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection220
	GOTO	L__SetAirDirection128
L__SetAirDirection220:
	MOV	_ALeds+4, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection221
	GOTO	L__SetAirDirection127
L__SetAirDirection221:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection222
	GOTO	L__SetAirDirection126
L__SetAirDirection222:
L__SetAirDirection120:
	MOV	#lo_addr(?lstr63_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection129:
L__SetAirDirection128:
L__SetAirDirection127:
L__SetAirDirection126:
;anemometro.c,302 :: 		if (ALeds[0]==200 && ALeds[1]==200 && ALeds[2] ==2000 && ALeds[3]==2000){strcpy(Dlogo," BA ");}
	MOV	#200, W1
	MOV	#lo_addr(_ALeds), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection223
	GOTO	L__SetAirDirection133
L__SetAirDirection223:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection224
	GOTO	L__SetAirDirection132
L__SetAirDirection224:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection225
	GOTO	L__SetAirDirection131
L__SetAirDirection225:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection226
	GOTO	L__SetAirDirection130
L__SetAirDirection226:
L__SetAirDirection119:
	MOV	#lo_addr(?lstr64_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection133:
L__SetAirDirection132:
L__SetAirDirection131:
L__SetAirDirection130:
;anemometro.c,303 :: 		if (ALeds[0]==200  && ALeds[1]==200 && ALeds[2] ==2000 && ALeds[3]==1000){strcpy(Dlogo,"BA-");}
	MOV	#200, W1
	MOV	#lo_addr(_ALeds), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection227
	GOTO	L__SetAirDirection137
L__SetAirDirection227:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection228
	GOTO	L__SetAirDirection136
L__SetAirDirection228:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection229
	GOTO	L__SetAirDirection135
L__SetAirDirection229:
	MOV	_ALeds+6, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection230
	GOTO	L__SetAirDirection134
L__SetAirDirection230:
L__SetAirDirection118:
	MOV	#lo_addr(?lstr65_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection137:
L__SetAirDirection136:
L__SetAirDirection135:
L__SetAirDirection134:
;anemometro.c,305 :: 		if (ALeds[0]==200 && ALeds[1]==500 && ALeds[2] ==2000 && ALeds[3]==500) {strcpy(Dlogo," A  ");}
	MOV	#200, W1
	MOV	#lo_addr(_ALeds), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection231
	GOTO	L__SetAirDirection141
L__SetAirDirection231:
	MOV	_ALeds+2, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection232
	GOTO	L__SetAirDirection140
L__SetAirDirection232:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection233
	GOTO	L__SetAirDirection139
L__SetAirDirection233:
	MOV	_ALeds+6, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection234
	GOTO	L__SetAirDirection138
L__SetAirDirection234:
L__SetAirDirection117:
	MOV	#lo_addr(?lstr66_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection141:
L__SetAirDirection140:
L__SetAirDirection139:
L__SetAirDirection138:
;anemometro.c,307 :: 		if (ALeds[0]==200  && ALeds[1]==1000 && ALeds[2] ==2000 && ALeds[3]==500){ strcpy(Dlogo,"A-NA");}
	MOV	#200, W1
	MOV	#lo_addr(_ALeds), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection235
	GOTO	L__SetAirDirection145
L__SetAirDirection235:
	MOV	_ALeds+2, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection236
	GOTO	L__SetAirDirection144
L__SetAirDirection236:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection237
	GOTO	L__SetAirDirection143
L__SetAirDirection237:
	MOV	_ALeds+6, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection238
	GOTO	L__SetAirDirection142
L__SetAirDirection238:
L__SetAirDirection116:
	MOV	#lo_addr(?lstr67_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection145:
L__SetAirDirection144:
L__SetAirDirection143:
L__SetAirDirection142:
;anemometro.c,309 :: 		if (ALeds[0]==200  && ALeds[1]==2000 && ALeds[2] ==2000 && ALeds[3]==200){strcpy(Dlogo," NA");}
	MOV	#200, W1
	MOV	#lo_addr(_ALeds), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection239
	GOTO	L__SetAirDirection149
L__SetAirDirection239:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection240
	GOTO	L__SetAirDirection148
L__SetAirDirection240:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection241
	GOTO	L__SetAirDirection147
L__SetAirDirection241:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection242
	GOTO	L__SetAirDirection146
L__SetAirDirection242:
L__SetAirDirection115:
	MOV	#lo_addr(?lstr68_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection149:
L__SetAirDirection148:
L__SetAirDirection147:
L__SetAirDirection146:
;anemometro.c,310 :: 		if (ALeds[0]==500  && ALeds[1]==2000 && ALeds[2] ==2000 && ALeds[3]==200){strcpy(Dlogo,"NA-N");}
	MOV	_ALeds, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection243
	GOTO	L__SetAirDirection153
L__SetAirDirection243:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection244
	GOTO	L__SetAirDirection152
L__SetAirDirection244:
	MOV	_ALeds+4, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection245
	GOTO	L__SetAirDirection151
L__SetAirDirection245:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection246
	GOTO	L__SetAirDirection150
L__SetAirDirection246:
L__SetAirDirection114:
	MOV	#lo_addr(?lstr69_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection153:
L__SetAirDirection152:
L__SetAirDirection151:
L__SetAirDirection150:
;anemometro.c,311 :: 		if (ALeds[0]==500  && ALeds[1]==2000 && ALeds[2] ==1000 && ALeds[3]==200){strcpy(Dlogo,"N-NA");}
	MOV	_ALeds, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection247
	GOTO	L__SetAirDirection157
L__SetAirDirection247:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection248
	GOTO	L__SetAirDirection156
L__SetAirDirection248:
	MOV	_ALeds+4, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection249
	GOTO	L__SetAirDirection155
L__SetAirDirection249:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection250
	GOTO	L__SetAirDirection154
L__SetAirDirection250:
L__SetAirDirection113:
	MOV	#lo_addr(?lstr70_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection157:
L__SetAirDirection156:
L__SetAirDirection155:
L__SetAirDirection154:
;anemometro.c,312 :: 		if (ALeds[0]==500  && ALeds[1]==2000 && ALeds[2] ==500 && ALeds[3]==200) {strcpy(Dlogo," N  ");}
	MOV	_ALeds, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection251
	GOTO	L__SetAirDirection161
L__SetAirDirection251:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection252
	GOTO	L__SetAirDirection160
L__SetAirDirection252:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection253
	GOTO	L__SetAirDirection159
L__SetAirDirection253:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection254
	GOTO	L__SetAirDirection158
L__SetAirDirection254:
L__SetAirDirection112:
	MOV	#lo_addr(?lstr71_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection161:
L__SetAirDirection160:
L__SetAirDirection159:
L__SetAirDirection158:
;anemometro.c,314 :: 		if (ALeds[0]==1000  && ALeds[1]==2000 && ALeds[2] ==500 && ALeds[3]==200){strcpy(Dlogo,"N-N");}
	MOV	_ALeds, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection255
	GOTO	L__SetAirDirection165
L__SetAirDirection255:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection256
	GOTO	L__SetAirDirection164
L__SetAirDirection256:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection257
	GOTO	L__SetAirDirection163
L__SetAirDirection257:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection258
	GOTO	L__SetAirDirection162
L__SetAirDirection258:
L__SetAirDirection111:
	MOV	#lo_addr(?lstr72_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection165:
L__SetAirDirection164:
L__SetAirDirection163:
L__SetAirDirection162:
;anemometro.c,315 :: 		if (ALeds[0]==2000  && ALeds[1]==2000 && ALeds[2] ==500 && ALeds[3]==200){strcpy(Dlogo,"  ");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection259
	GOTO	L__SetAirDirection169
L__SetAirDirection259:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection260
	GOTO	L__SetAirDirection168
L__SetAirDirection260:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection261
	GOTO	L__SetAirDirection167
L__SetAirDirection261:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+6), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection262
	GOTO	L__SetAirDirection166
L__SetAirDirection262:
L__SetAirDirection110:
	MOV	#lo_addr(?lstr73_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection169:
L__SetAirDirection168:
L__SetAirDirection167:
L__SetAirDirection166:
;anemometro.c,316 :: 		if (ALeds[0]==2000  && ALeds[1]==2000 && ALeds[2] ==500 && ALeds[3]==500) {strcpy(Dlogo,"-");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection263
	GOTO	L__SetAirDirection173
L__SetAirDirection263:
	MOV	_ALeds+2, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection264
	GOTO	L__SetAirDirection172
L__SetAirDirection264:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection265
	GOTO	L__SetAirDirection171
L__SetAirDirection265:
	MOV	_ALeds+6, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection266
	GOTO	L__SetAirDirection170
L__SetAirDirection266:
L__SetAirDirection109:
	MOV	#lo_addr(?lstr74_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection173:
L__SetAirDirection172:
L__SetAirDirection171:
L__SetAirDirection170:
;anemometro.c,318 :: 		if (ALeds[0]==2000  && ALeds[1]==500 && ALeds[2] ==500 && ALeds[3]==500)  {strcpy(Dlogo,"  ");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection267
	GOTO	L__SetAirDirection177
L__SetAirDirection267:
	MOV	_ALeds+2, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection268
	GOTO	L__SetAirDirection176
L__SetAirDirection268:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection269
	GOTO	L__SetAirDirection175
L__SetAirDirection269:
	MOV	_ALeds+6, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection270
	GOTO	L__SetAirDirection174
L__SetAirDirection270:
L__SetAirDirection108:
	MOV	#lo_addr(?lstr75_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection177:
L__SetAirDirection176:
L__SetAirDirection175:
L__SetAirDirection174:
;anemometro.c,319 :: 		if (ALeds[0]==2000  && ALeds[1]==500 && ALeds[2] ==500 && ALeds[3]==1000) {strcpy(Dlogo,"-");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection271
	GOTO	L__SetAirDirection181
L__SetAirDirection271:
	MOV	_ALeds+2, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection272
	GOTO	L__SetAirDirection180
L__SetAirDirection272:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection273
	GOTO	L__SetAirDirection179
L__SetAirDirection273:
	MOV	_ALeds+6, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection274
	GOTO	L__SetAirDirection178
L__SetAirDirection274:
L__SetAirDirection107:
	MOV	#lo_addr(?lstr76_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection181:
L__SetAirDirection180:
L__SetAirDirection179:
L__SetAirDirection178:
;anemometro.c,320 :: 		if (ALeds[0]==2000  && ALeds[1]==200 && ALeds[2] ==200 && ALeds[3]==2000){strcpy(Dlogo,"  ");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection275
	GOTO	L__SetAirDirection185
L__SetAirDirection275:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection276
	GOTO	L__SetAirDirection184
L__SetAirDirection276:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+4), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection277
	GOTO	L__SetAirDirection183
L__SetAirDirection277:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection278
	GOTO	L__SetAirDirection182
L__SetAirDirection278:
L__SetAirDirection106:
	MOV	#lo_addr(?lstr77_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection185:
L__SetAirDirection184:
L__SetAirDirection183:
L__SetAirDirection182:
;anemometro.c,321 :: 		if (ALeds[0]==2000  && ALeds[1]==200 && ALeds[2] ==500 && ALeds[3]==2000){strcpy(Dlogo,"-");}
	MOV	_ALeds, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection279
	GOTO	L__SetAirDirection189
L__SetAirDirection279:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection280
	GOTO	L__SetAirDirection188
L__SetAirDirection280:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection281
	GOTO	L__SetAirDirection187
L__SetAirDirection281:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection282
	GOTO	L__SetAirDirection186
L__SetAirDirection282:
L__SetAirDirection105:
	MOV	#lo_addr(?lstr78_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection189:
L__SetAirDirection188:
L__SetAirDirection187:
L__SetAirDirection186:
;anemometro.c,322 :: 		if (ALeds[0]==1000  && ALeds[1]==200 && ALeds[2] ==500 && ALeds[3]==2000){strcpy(Dlogo,"-");}
	MOV	_ALeds, W1
	MOV	#1000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection283
	GOTO	L__SetAirDirection193
L__SetAirDirection283:
	MOV	#200, W1
	MOV	#lo_addr(_ALeds+2), W0
	CP	W1, [W0]
	BRA Z	L__SetAirDirection284
	GOTO	L__SetAirDirection192
L__SetAirDirection284:
	MOV	_ALeds+4, W1
	MOV	#500, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection285
	GOTO	L__SetAirDirection191
L__SetAirDirection285:
	MOV	_ALeds+6, W1
	MOV	#2000, W0
	CP	W1, W0
	BRA Z	L__SetAirDirection286
	GOTO	L__SetAirDirection190
L__SetAirDirection286:
L__SetAirDirection104:
	MOV	#lo_addr(?lstr79_anemometro), W11
	MOV	#lo_addr(_Dlogo), W10
	CALL	_strcpy
L__SetAirDirection193:
L__SetAirDirection192:
L__SetAirDirection191:
L__SetAirDirection190:
;anemometro.c,323 :: 		}
L_end_SetAirDirection:
	POP	W11
	POP	W10
	RETURN
; end of _SetAirDirection

_onTimer1Interupt:
	PUSH	52
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;anemometro.c,327 :: 		void onTimer1Interupt() org 0x00001A  {
;anemometro.c,329 :: 		IFS0bits.T1IF = 0;                // clear interrupt flag
	PUSH	W10
	BCLR	IFS0bits, #3
;anemometro.c,330 :: 		PORTDbits.RD3 = ~PORTDbits.RD3 ;
	BTG	PORTDbits, #3
;anemometro.c,331 :: 		TickCounter++;
	MOV	#1, W1
	MOV	#lo_addr(_TickCounter), W0
	ADD	W1, [W0], [W0]
;anemometro.c,332 :: 		TempTick++;
	MOV	#1, W1
	MOV	#lo_addr(_TempTick), W0
	ADD	W1, [W0], [W0]
;anemometro.c,334 :: 		asm CLRWDT;       // clear WDT Timer
	CLRWDT
;anemometro.c,337 :: 		if (TickCounter>4){
	MOV	_TickCounter, W0
	CP	W0, #4
	BRA GT	L__onTimer1Interupt288
	GOTO	L_onTimer1Interupt82
L__onTimer1Interupt288:
;anemometro.c,338 :: 		ReadValues();
	CALL	_ReadValues
;anemometro.c,339 :: 		NormalizeValues();
	CALL	_NormalizeValues
;anemometro.c,340 :: 		SetAirDirection();
	CALL	_SetAirDirection
;anemometro.c,342 :: 		AirSpeed=AirSpeedTick * 10 /AirSpeedCoficient;    // 9 turns/sec = 10Km/H
	MOV	_AirSpeedTick, W1
	MOV	#10, W0
	MUL.SS	W1, W0, W4
	MOV	_AirSpeedCoficient, W2
	REPEAT	#17
	DIV.S	W4, W2
	MOV	W0, W1
	MOV	W1, _AirSpeed
;anemometro.c,344 :: 		if (Airspeed >PreviusAirSpeed) {maxAirSpeed=(maxAirSpeed + Airspeed) /2;}
	MOV	#lo_addr(_PreviusAirSpeed), W0
	CP	W1, [W0]
	BRA GT	L__onTimer1Interupt289
	GOTO	L_onTimer1Interupt83
L__onTimer1Interupt289:
	MOV	_MaxAirSpeed, W1
	MOV	#lo_addr(_AirSpeed), W0
	ADD	W1, [W0], W0
	ASR	W0, #1, W0
	MOV	W0, _MaxAirSpeed
L_onTimer1Interupt83:
;anemometro.c,345 :: 		if (AirSpeed < PreviusAirSpeed) {MinAirSpeed = (MinAirSpeed + AirSpeed) /2;}
	MOV	_AirSpeed, W1
	MOV	#lo_addr(_PreviusAirSpeed), W0
	CP	W1, [W0]
	BRA LT	L__onTimer1Interupt290
	GOTO	L_onTimer1Interupt84
L__onTimer1Interupt290:
	MOV	_MinAirSpeed, W1
	MOV	#lo_addr(_AirSpeed), W0
	ADD	W1, [W0], W0
	ASR	W0, #1, W0
	MOV	W0, _MinAirSpeed
L_onTimer1Interupt84:
;anemometro.c,347 :: 		if (Airspeed >maxAirSpeed) {maxAirSpeed=Airspeed;}
	MOV	_AirSpeed, W1
	MOV	#lo_addr(_MaxAirSpeed), W0
	CP	W1, [W0]
	BRA GT	L__onTimer1Interupt291
	GOTO	L_onTimer1Interupt85
L__onTimer1Interupt291:
	MOV	_AirSpeed, W0
	MOV	W0, _MaxAirSpeed
L_onTimer1Interupt85:
;anemometro.c,348 :: 		if (AirSpeed < MinAirSpeed) {MinAirSpeed = AirSpeed  ;}
	MOV	_AirSpeed, W1
	MOV	#lo_addr(_MinAirSpeed), W0
	CP	W1, [W0]
	BRA LT	L__onTimer1Interupt292
	GOTO	L_onTimer1Interupt86
L__onTimer1Interupt292:
	MOV	_AirSpeed, W0
	MOV	W0, _MinAirSpeed
L_onTimer1Interupt86:
;anemometro.c,350 :: 		AverageAirSpeed=(PreviusAirSpeed + Airspeed)/2;
	MOV	_PreviusAirSpeed, W1
	MOV	#lo_addr(_AirSpeed), W0
	ADD	W1, [W0], W0
	ASR	W0, #1, W0
	MOV	W0, _AverageAirSpeed
;anemometro.c,351 :: 		if (AverageAirSpeed==0) {maxAirSpeed=maxAirspeed /2;}
	CP	W0, #0
	BRA Z	L__onTimer1Interupt293
	GOTO	L_onTimer1Interupt87
L__onTimer1Interupt293:
	MOV	_MaxAirSpeed, W0
	ASR	W0, #1, W0
	MOV	W0, _MaxAirSpeed
L_onTimer1Interupt87:
;anemometro.c,352 :: 		PreviusAirspeed=AirSpeed;
	MOV	_AirSpeed, W0
	MOV	W0, _PreviusAirSpeed
;anemometro.c,354 :: 		integTemp=ADC1_Read(8) /59;
	MOV	#8, W10
	CALL	_ADC1_Read
	MOV	#59, W2
	REPEAT	#17
	DIV.U	W0, W2
	MOV	W0, W1
	MOV	#lo_addr(_integTemp), W0
	MOV.B	W1, [W0]
;anemometro.c,355 :: 		if (TempTick>240){            // one minute passed
	MOV	#240, W1
	MOV	#lo_addr(_TempTick), W0
	CP	W1, [W0]
	BRA LT	L__onTimer1Interupt294
	GOTO	L_onTimer1Interupt88
L__onTimer1Interupt294:
;anemometro.c,357 :: 		for (i=0;i<14;i++){
; i start address is: 6 (W3)
	CLR	W3
; i end address is: 6 (W3)
L_onTimer1Interupt89:
; i start address is: 6 (W3)
	CP	W3, #14
	BRA LT	L__onTimer1Interupt295
	GOTO	L_onTimer1Interupt90
L__onTimer1Interupt295:
;anemometro.c,358 :: 		LastQuarterSpeed[i]=  LastQuarterSpeed[i+1];
	SL	W3, #1, W1
	MOV	#lo_addr(_LastQuarterSpeed), W0
	ADD	W0, W1, W2
	ADD	W3, #1, W0
	SL	W0, #1, W1
	MOV	#lo_addr(_LastQuarterSpeed), W0
	ADD	W0, W1, W0
	MOV	[W0], [W2]
;anemometro.c,357 :: 		for (i=0;i<14;i++){
	INC	W3
;anemometro.c,359 :: 		}
; i end address is: 6 (W3)
	GOTO	L_onTimer1Interupt89
L_onTimer1Interupt90:
;anemometro.c,360 :: 		LastQuarterSpeed[14]= AverageAirSpeed;
	MOV	_AverageAirSpeed, W0
	MOV	W0, _LastQuarterSpeed+28
;anemometro.c,361 :: 		TempTick=0;
	CLR	W0
	MOV	W0, _TempTick
;anemometro.c,362 :: 		}
L_onTimer1Interupt88:
;anemometro.c,363 :: 		AirSpeedTick=0;
	CLR	W0
	MOV	W0, _AirSpeedTick
;anemometro.c,364 :: 		TickCounter=0;
	CLR	W0
	MOV	W0, _TickCounter
;anemometro.c,365 :: 		}
L_onTimer1Interupt82:
;anemometro.c,367 :: 		}
L_end_onTimer1Interupt:
	POP	W10
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	52
	RETFIE
; end of _onTimer1Interupt

_OnINT0_Interupt:
	PUSH	52
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;anemometro.c,369 :: 		void OnINT0_Interupt() org 0x000014 {
;anemometro.c,370 :: 		IFS0bits.INT0IF =0;    //clear int0 flag
	BCLR	IFS0bits, #0
;anemometro.c,371 :: 		AirSpeedTick++;    // count how many turns are done
	MOV	#1, W1
	MOV	#lo_addr(_AirSpeedTick), W0
	ADD	W1, [W0], [W0]
;anemometro.c,373 :: 		}
L_end_OnINT0_Interupt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	52
	RETFIE
; end of _OnINT0_Interupt

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;anemometro.c,377 :: 		void main()
;anemometro.c,379 :: 		ADPCFG |= 0xFF00;         // 0-8 AS ADC
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#65280, W1
	MOV	#lo_addr(ADPCFG), W0
	IOR	W1, [W0], [W0]
;anemometro.c,381 :: 		PORTB = 0;
	CLR	PORTB
;anemometro.c,382 :: 		TRISB = 0xFFFF;           // set PORTB as input for buttons and adc
	MOV	#65535, W0
	MOV	WREG, TRISB
;anemometro.c,384 :: 		PORTD = 0;
	CLR	PORTD
;anemometro.c,385 :: 		TRISD = 0;                // set PORTD as output,
	CLR	TRISD
;anemometro.c,387 :: 		ADC1_Init();              // Enable ADC module
	CALL	_ADC1_Init
;anemometro.c,389 :: 		AirSpeedCoficient=EEPROM_Read(eeAddr);      // read from eeprom the stored Air speed coficient
	MOV	_eeAddr, W10
	MOV	_eeAddr+2, W11
	CALL	_EEPROM_Read
	MOV	W0, _AirSpeedCoficient
;anemometro.c,390 :: 		if (AirSpeedCoficient <= 0){AirSpeedCoficient=10;}   // if not yet set , give a default value
	CP	W0, #0
	BRA LE	L__main298
	GOTO	L_main92
L__main298:
	MOV	#10, W0
	MOV	W0, _AirSpeedCoficient
L_main92:
;anemometro.c,391 :: 		for (i=0;i<14;i++){         // initialize
; i start address is: 4 (W2)
	CLR	W2
; i end address is: 4 (W2)
L_main93:
; i start address is: 4 (W2)
	CP	W2, #14
	BRA LT	L__main299
	GOTO	L_main94
L__main299:
;anemometro.c,392 :: 		LastQuarterSpeed[i]= 0;
	SL	W2, #1, W1
	MOV	#lo_addr(_LastQuarterSpeed), W0
	ADD	W0, W1, W1
	CLR	W0
	MOV	W0, [W1]
;anemometro.c,391 :: 		for (i=0;i<14;i++){         // initialize
	INC	W2
;anemometro.c,393 :: 		}
; i end address is: 4 (W2)
	GOTO	L_main93
L_main94:
;anemometro.c,401 :: 		SPI1_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, _SPI_PRESCALE_SEC_5, _SPI_PRESCALE_PRI_16, _SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_IDLE_2_ACTIVE);
	MOV	#1, W13
	MOV	#12, W12
	CLR	W11
	MOV	#32, W10
	MOV	#256, W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CALL	_SPI1_Init_Advanced
	SUB	#8, W15
;anemometro.c,402 :: 		SPI_Ethernet_Init(myMacAddr, myIpAddr, Spi_Ethernet_FULLDUPLEX) ;
	MOV.B	#1, W12
	MOV	#lo_addr(_myIpAddr), W11
	MOV	#lo_addr(_myMacAddr), W10
	CALL	_SPI_Ethernet_Init
;anemometro.c,415 :: 		TMR1 = 0;                                // clear timer 1
	CLR	TMR1
;anemometro.c,416 :: 		PR1 =15625;                        // interrupt every 250ms
	MOV	#15625, W0
	MOV	WREG, PR1
;anemometro.c,417 :: 		IFS0bits.T1IF = 0;                // clr interrupt flag
	BCLR	IFS0bits, #3
;anemometro.c,418 :: 		IEC0bits.T1IE = 1;                // set interrupt enable bit
	BSET	IEC0bits, #3
;anemometro.c,419 :: 		T1CONbits.TCKPS=3;                // prescaler 1:256
	MOV	#lo_addr(T1CONbits), W0
	MOV.B	[W0], W1
	MOV.B	#48, W0
	IOR.B	W1, W0, W1
	MOV	#lo_addr(T1CONbits), W0
	MOV.B	W1, [W0]
;anemometro.c,420 :: 		T1CONbits.TON=1;                  //  start TMR1
	BSET	T1CONbits, #15
;anemometro.c,424 :: 		INTCON2bits.INT0EP=1; // enable int0
	BSET	INTCON2bits, #0
;anemometro.c,425 :: 		IEC0bits.INT0IE =1;   // start int0
	BSET	IEC0bits, #0
;anemometro.c,427 :: 		while(1) {                            // do forever
L_main96:
;anemometro.c,431 :: 		SPI_Ethernet_doPacket() ;   // process incoming Ethernet packets
	CALL	_SPI_Ethernet_doPacket
;anemometro.c,438 :: 		}
	GOTO	L_main96
;anemometro.c,439 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
